## org.apache.xalan.xsltc.trax
Class Util

    java.lang.Object
      org.apache.xalan.xsltc.trax.Util

    public final class Util

extends java.lang.Object

Author:
  Santiago Pericas-Geertsen

Constructor Summary
`Util()`

Method Summary
`static java.lang.String` `baseName(java.lang.String name)`
`static org.xml.sax.InputSource` `getInputSource(XSLTC xsltc, javax.xml.transform.Source source)` Creates a SAX2 InputSource object from a TrAX Source object
`static java.lang.String` `noExtName(java.lang.String name)`
`static java.lang.String` `toJavaName(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### baseName

    public static java.lang.String baseName(java.lang.String name)

### noExtName

    public static java.lang.String noExtName(java.lang.String name)

### toJavaName

    public static java.lang.String toJavaName(java.lang.String name)

### getInputSource

    public static org.xml.sax.InputSource getInputSource(XSLTC xsltc,
                                                         javax.xml.transform.Source source)
                                                  throws javax.xml.transform.TransformerConfigurationException

  Creates a SAX2 InputSource object from a TrAX Source object

  Throws:
    `javax.xml.transform.TransformerConfigurationException`

Copyright © 2005 Apache XML Project. All Rights Reserved.